### Method

# RB RhythmDB evaluate_query

#### Declaration [src]

    gboolean
    rhythmdb_evaluate_query (
      RhythmDB* db,
      RhythmDBQuery* query,
      RhythmDBEntry* entry
    )

#### Description [src]

Evaluates the given entry against the given query.

#### Parameters

`query`

  Type: `RhythmDBQuery`

  A query.

  The data is owned by the caller of the method.

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the given entry matches the criteria of the given query.